BINDING_HEADER_TABPARTY = "Tab Party"
_G["BINDING_NAME_CLICK TabPartyButton:LeftButton"] = "Cycle Party Members"

local TheButton = CreateFrame("Button", "TabPartyButton", UIParent, "SecureActionButtonTemplate")
TheButton:SetAttribute("*type1", "target")
TheButton:SetAttribute("unit", "player")
SecureHandlerWrapScript(TheButton, "OnClick", TheButton,  [[
if not lastunit then lastunit = -1 end
local newunit
repeat
	lastunit = (lastunit + 1) % 5
	if lastunit == 0 then
		newunit = "player"
	else
		newunit = "party"..lastunit
	end
until UnitExists(newunit)
self:SetAttribute("unit", newunit)
]])

--[===[@debug@
TheButton:RegisterEvent("PLAYER_ENTERING_WORLD")
--TheButton:SetScript("OnEvent", function(self, event) if event == "PLAYER_ENTERING_WORLD" then self:ShowButton() end end)
--@end-debug@]===]

